### Function

# Gio dbus_address_get_stream_sync

since: 2.26

#### Declaration

    GIOStream*
    g_dbus_address_get_stream_sync (
      const gchar* address,
      gchar** out_guid,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Synchronously connects to an endpoint specified by `address` and sets up the connection so it is in a state to run the client-side of the D-Bus authentication conversation. `address` must be in the D-Bus address format.

A server is not required to set a GUID, so `out_guid` may be set to `NULL` even on success.

This is a synchronous failable function. See `g_dbus_address_get_stream()` for the asynchronous version.

Available since: 2.26

#### Parameters

`address`

  Type: `const gchar*`

  A valid D-Bus address.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`out_guid`

  Type: `gchar**`

  `NULL` or return location to store the GUID extracted from `address`, if any.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GIOStream`

A `GIOStream` or `NULL` if `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.